Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.imp
Class ViewEventHandler

    java.lang.Object
      de.grogra.imp.ViewEventHandler

All Implemented Interfaces:
  Disposable, java.util.EventListener

    public abstract class ViewEventHandler

extends java.lang.Object
implements Disposable, EventListener

Nested Class Summary

Nested classes/interfaces inherited from interface de.grogra.util.EventListener
`EventListener.Bicast, EventListener.Multicaster`

Constructor Summary
`ViewEventHandler(View view, boolean allowNegativePickDist)`

Method Summary
`protected void` | `buttonClicked(java.awt.event.MouseEvent e)`
`protected abstract ClickEvent` | `createClickEvent(java.awt.event.MouseEvent event)`
`protected abstract DragEvent` | `createDragEvent(java.awt.event.MouseEvent event)`
`void` | `dispose()`
`void` | `disposeNavigator(java.util.EventObject e)`
`void` | `eventOccured(java.util.EventObject e)` This method is invoked on registered event listeners when `event` has occured.
`protected abstract NavigatorFactory` | `getNavigatorFactory()`
`View` | `getView()`
`protected void` | `mouseDragged(java.awt.event.MouseEvent event, int dragState, int dx, int dy)`
`protected void` | `mouseMoved(java.awt.event.MouseEvent event)`
`void` | `updateHighlight()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ViewEventHandler

    public ViewEventHandler(View view,
                            boolean allowNegativePickDist)

Method Detail

### buttonClicked

    protected void buttonClicked(java.awt.event.MouseEvent e)

### createClickEvent

    protected abstract ClickEvent createClickEvent(java.awt.event.MouseEvent event)

### createDragEvent

    protected abstract DragEvent createDragEvent(java.awt.event.MouseEvent event)

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `Disposable`

### disposeNavigator

    public void disposeNavigator(java.util.EventObject e)

### eventOccured

    public void eventOccured(java.util.EventObject e)

  Description copied from interface: `EventListener`
  This method is invoked on registered event listeners when `event` has occured. This general listener interface does not restrict the possible kinds of events. Concrete sources of events should specify which events they may fire.

  Parameters:
    `e` - an event

### getNavigatorFactory

    protected abstract NavigatorFactory getNavigatorFactory()

### getView

    public final View getView()

### mouseDragged

    protected void mouseDragged(java.awt.event.MouseEvent event,
                                int dragState,
                                int dx,
                                int dy)

### mouseMoved

    protected void mouseMoved(java.awt.event.MouseEvent event)

### updateHighlight

    public void updateHighlight()

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD